Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # PixelIteratorConcept Struct Template Reference [PixelIteratorConcept] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename Iterator> struct boost::gil::PixelIteratorConcept< Iterator > An STL random access traversal iterator over a model of PixelConcept. GIL's iterators must also provide the following metafunctions: `const_iterator_type<Iterator>`: Returns a read-only equivalent of `Iterator` `iterator_is_mutable<Iterator>`: Returns whether the given iterator is read-only or mutable `is_iterator_adaptor<Iterator>`: Returns whether the given iterator is an adaptor over another iterator. See IteratorAdaptorConcept for additional requirements of adaptors.
    concept PixelIteratorConcept<typename Iterator> : boost_concepts::RandomAccessTraversalConcept<Iterator>, PixelBasedConcept<Iterator> {
        where PixelValueConcept<value_type>;
        typename const_iterator_type<It>::type;
            where PixelIteratorConcept<const_iterator_type<It>::type>;
        static const bool  iterator_is_mutable<It>::type::value;
        static const bool  is_iterator_adaptor<It>::type::value;   // is it an iterator adaptor
    };
## Public Member Functions
void | constraints ()
void | check_base (mpl::false_)
void | check_base (mpl::true_)
## Public Attributes
Iterator | it
The documentation for this struct was generated from the following file: gil_concept.hpp